function proj_out = absorp_to_trans(proj_in, save_mem)
            %absorp_to_trans transforms absorption data to transmission data
            % This is a utility function in case the user needs to process
            % absorption data and later needs thes same data to be
            % transformed back into transmission values.
            % Example call:
            %   self.absorp_to_trans()
            
            if nargin < 2
                save_mem = false;
            end
            % Reverse of Lambert-Beer law
            if save_mem
                for k = 1:size(proj_in, 3) % For-loop for lower memory demands
                    proj_out(:, :, k) = exp(-proj_in(:, :, k)); %.* self.geom.bg_value;
                end
            else
                proj_out = exp(-proj_in); %.* self.geom.bg_value;
            end
 end